settingsLogin | Registersettings

[openstack-dev] [TripleO] quickstart failing due to unresolved dependencies

0 votes

Hi.

I tried to install the latest TripleO with quickstart, and it failed in the
undercloud install. I logged in to the undercloud and checked the install
log, and I see errors there like "ModuleLoader: module 'rabbitmq' has
unresolved dependencies". I pasted the output here:
http://paste.openstack.org/show/614247/

Any help on how to fix this will be appreciated !

Regards,
Udi Kalifon


OpenStack Development Mailing List (not for usage questions)
Unsubscribe: OpenStack-dev-request@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev
asked Jul 4, 2017 in openstack-dev by Udi_Kalifon (360 points)   1 2

3 Responses

0 votes

On Sun, Jul 2, 2017 at 7:11 AM, Udi Kalifon ukalifon@redhat.com wrote:
Hi.

I tried to install the latest TripleO with quickstart, and it failed in the
undercloud install. I logged in to the undercloud and checked the install
log, and I see errors there like "ModuleLoader: module 'rabbitmq' has
unresolved dependencies". I pasted the output here:
http://paste.openstack.org/show/614247/

Any help on how to fix this will be appreciated !

It seems to have failed while trying to run puppet and it couldn't
find a specific class.

2017-07-02 12:37:12,614 INFO: Error: Evaluation Error: Error while
evaluating a Function Call, Could not find class
::tripleo::profile::base::ui for undercloud at
/etc/puppet/manifests/puppet-stack-config.pp:585:3 on node undercloud

What version are you deploying? This may happen if there's an
mismatch between the instack-undercloud and the puppet-tripleo
packages

Thanks,
-Alex

Regards,
Udi Kalifon


OpenStack Development Mailing List (not for usage questions)
Unsubscribe: OpenStack-dev-request@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev


OpenStack Development Mailing List (not for usage questions)
Unsubscribe: OpenStack-dev-request@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev
responded Jul 3, 2017 by aschultz_at_redhat.c (5,800 points)   2 2 6
0 votes

I'm trying to install Pike. The undercloud has versions:
puppet-tripleo-7.1.1-0.20170627224658.f99b72a.el7.centos.noarch
instack-undercloud-7.1.1-0.20170619172442.4de8226.el7.centos.noarch

Regards,
Udi Kalifon; Senior QE; RHOS-UI Automation

On Mon, Jul 3, 2017 at 8:58 PM, Alex Schultz aschultz@redhat.com wrote:

On Sun, Jul 2, 2017 at 7:11 AM, Udi Kalifon ukalifon@redhat.com wrote:

Hi.

I tried to install the latest TripleO with quickstart, and it failed in
the
undercloud install. I logged in to the undercloud and checked the install
log, and I see errors there like "ModuleLoader: module 'rabbitmq' has
unresolved dependencies". I pasted the output here:
http://paste.openstack.org/show/614247/

Any help on how to fix this will be appreciated !

It seems to have failed while trying to run puppet and it couldn't
find a specific class.

2017-07-02 12:37:12,614 INFO: Error: Evaluation Error: Error while
evaluating a Function Call, Could not find class
::tripleo::profile::base::ui for undercloud at
/etc/puppet/manifests/puppet-stack-config.pp:585:3 on node undercloud

What version are you deploying? This may happen if there's an
mismatch between the instack-undercloud and the puppet-tripleo
packages

Thanks,
-Alex

Regards,
Udi Kalifon



OpenStack Development Mailing List (not for usage questions)
Unsubscribe: OpenStack-dev-request@lists.openstack.org?subject:
unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev


OpenStack Development Mailing List (not for usage questions)
Unsubscribe: OpenStack-dev-request@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev


OpenStack Development Mailing List (not for usage questions)
Unsubscribe: OpenStack-dev-request@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev
responded Jul 4, 2017 by Udi_Kalifon (360 points)   1 2
0 votes

On Mon, Jul 3, 2017 at 11:18 PM, Udi Kalifon ukalifon@redhat.com wrote:
I'm trying to install Pike. The undercloud has versions:
puppet-tripleo-7.1.1-0.20170627224658.f99b72a.el7.centos.noarch
instack-undercloud-7.1.1-0.20170619172442.4de8226.el7.centos.noarch

I think you're missing, https://review.openstack.org/#/c/475352/
because your puppet-tripleo has
https://review.openstack.org/#/c/475387/ which removed that profile.
Update your instack-undercloud.

Thanks,
-Alex

Regards,
Udi Kalifon; Senior QE; RHOS-UI Automation

On Mon, Jul 3, 2017 at 8:58 PM, Alex Schultz aschultz@redhat.com wrote:

On Sun, Jul 2, 2017 at 7:11 AM, Udi Kalifon ukalifon@redhat.com wrote:

Hi.

I tried to install the latest TripleO with quickstart, and it failed in
the
undercloud install. I logged in to the undercloud and checked the
install
log, and I see errors there like "ModuleLoader: module 'rabbitmq' has
unresolved dependencies". I pasted the output here:
http://paste.openstack.org/show/614247/

Any help on how to fix this will be appreciated !

It seems to have failed while trying to run puppet and it couldn't
find a specific class.

2017-07-02 12:37:12,614 INFO: Error: Evaluation Error: Error while
evaluating a Function Call, Could not find class
::tripleo::profile::base::ui for undercloud at
/etc/puppet/manifests/puppet-stack-config.pp:585:3 on node undercloud

What version are you deploying? This may happen if there's an
mismatch between the instack-undercloud and the puppet-tripleo
packages

Thanks,
-Alex

Regards,
Udi Kalifon


OpenStack Development Mailing List (not for usage questions)
Unsubscribe:
OpenStack-dev-request@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev


OpenStack Development Mailing List (not for usage questions)
Unsubscribe: OpenStack-dev-request@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev


OpenStack Development Mailing List (not for usage questions)
Unsubscribe: OpenStack-dev-request@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev


OpenStack Development Mailing List (not for usage questions)
Unsubscribe: OpenStack-dev-request@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev
responded Jul 5, 2017 by aschultz_at_redhat.c (5,800 points)   2 2 6
...